/*
 * Licensed under MIT license
 * https://opensource.org/licenses/mit-license.php
 */

jQuery.noConflict()(function($){

	"use strict";

/* ===============================================
   Featured posts
   =============================================== */

	$(document).ready(function(){ 

		var dots;
		var owl = $('.single-item');
		var getDots = owl.attr('data-dots');
		
		if ( getDots === '' ) {
			dots = false;
		} else if ( getDots !== null || getDots === true ) {
			dots = true;
		}

		owl.owlCarousel({
			loop:false,
			margin:0,
			nav:false,
			dots:dots,
			items:1,
			onInitialized: function() {
				$('.owl-item').find('a').attr('tabindex','-1');
				$(".owl-item").eq(0).find('a').removeAttr('tabindex');
			},
		
		});
		
		owl.on('changed.owl.carousel', function(event) {
				
			var currentItem = event.item.index;

			$('.owl-item').find('a').attr('tabindex','-1');
			$(".owl-item").eq(currentItem).find('a').removeAttr('tabindex');
		
		});
	
	});

/* ===============================================
   Header fix
   =============================================== */

	function messaggero_header() {

		if( $('body').hasClass('sticky_header') ) {

			if ( $(window).width() > 992 ) {

				var menuHeight = $('#menu-wrapper').innerHeight();
				var headerHeight = $('#header-wrapper').innerHeight() - $('#menu-wrapper').innerHeight();
				
				if ( $('#header').hasClass('fixed') ) {
					$('#header').removeClass('fixed').css({'top': 0});
				}

				if( $(window).scrollTop() > headerHeight ) {
					$('#menu-wrapper').addClass('fixed');
					$('body').css({'padding-top': menuHeight});
				} else {
					$('#menu-wrapper').removeClass('fixed');
					$('body').css({'padding-top': 0});
				}

			} else {

				if ( $('#menu-wrapper').hasClass('fixed') ) {
					$('#menu-wrapper').removeClass('fixed');
				}

			}

		}

	}

	$( document ).ready(messaggero_header);
	$( window ).scroll(messaggero_header);
	$( window ).resize(messaggero_header);

});