<?php

/**
 *
 * This source file is subject to the GNU GENERAL PUBLIC LICENSE (GPL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://www.gnu.org/licenses/gpl-3.0.txt
 */

if (!function_exists('messaggero_post_blocks_function')) {

	function messaggero_post_blocks_function() {

		$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;

		if(1 == $paged) {
			
			if ( 
				(avventura_lite_setting('messaggero_postblock_1_layout', 'module-1') <> 'disable') &&
				(avventura_lite_setting('messaggero_postblock_1_category','none') <> 'none' ) 
			) {
	
				echo call_user_func(
					'messaggero_get_' . str_replace('-', '_', avventura_lite_setting('messaggero_postblock_1_layout', 'module-1')),
					avventura_lite_setting('messaggero_postblock_1_category'),
					avventura_lite_setting('messaggero_postblock_1_style', 'dark')
				);
	
			}
					
			if ( 
				(avventura_lite_setting('messaggero_postblock_2_layout', 'disable') <> 'disable') &&
				(avventura_lite_setting('messaggero_postblock_2_category','none') <> 'none' )
			) {
	
				echo call_user_func(
					'messaggero_get_' . str_replace('-', '_', avventura_lite_setting('messaggero_postblock_2_layout')),
					avventura_lite_setting('messaggero_postblock_2_category'),
					avventura_lite_setting('messaggero_postblock_2_style', 'light')
				);
	
			}
				
			if ( 
				(avventura_lite_setting('messaggero_postblock_3_layout', 'disable') <> 'disable') &&
				(avventura_lite_setting('messaggero_postblock_3_category','none') <> 'none' )
			) {
	
				echo call_user_func(
					'messaggero_get_' . str_replace('-', '_', avventura_lite_setting('messaggero_postblock_3_layout')),
					avventura_lite_setting('messaggero_postblock_3_category'),
					avventura_lite_setting('messaggero_postblock_3_style', 'light')
				);
	
			}
				
			if ( 
				(avventura_lite_setting('messaggero_postblock_4_layout', 'disable') <> 'disable') &&
				(avventura_lite_setting('messaggero_postblock_4_category','none') <> 'none' )
			) {
	
				echo call_user_func(
					'messaggero_get_' . str_replace('-', '_', avventura_lite_setting('messaggero_postblock_4_layout')),
					avventura_lite_setting('messaggero_postblock_4_category'),
					avventura_lite_setting('messaggero_postblock_4_style', 'light')
				);
	
			}
				
		}
		
	}

	add_action( 'messaggero_post_blocks', 'messaggero_post_blocks_function' );

}

?>